// Copyright (c) 2020 UWB & LESP.
// The UWB & LESP license this file to you under the MIT license.

package cz.senslog.connector.model.afarcloud;

public class CollarMeasurement {

    private String resourceId;
    private Location location;
    private long resultTime;
    private boolean resourceAlarm;
    private CollarAcceleration acceleration;
    private CollarAcceleration anomalies;
    private float temperature;

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public Location getLocation() {
        return location;
    }

    public void setLocation(Location location) {
        this.location = location;
    }

    public long getResultTime() {
        return resultTime;
    }

    public void setResultTime(long resultTime) {
        this.resultTime = resultTime;
    }

    public boolean isResourceAlarm() {
        return resourceAlarm;
    }

    public void setResourceAlarm(boolean resourceAlarm) {
        this.resourceAlarm = resourceAlarm;
    }

    public CollarAcceleration getAcceleration() {
        return acceleration;
    }

    public void setAcceleration(CollarAcceleration acceleration) {
        this.acceleration = acceleration;
    }

    public CollarAcceleration getAnomalies() {
        return anomalies;
    }

    public void setAnomalies(CollarAcceleration anomalies) {
        this.anomalies = anomalies;
    }

    public float getTemperature() {
        return temperature;
    }

    public void setTemperature(float temperature) {
        this.temperature = temperature;
    }
}
